package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunUserDO;
import org.springframework.stereotype.Repository;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/14 5:01 下午
 */
@Repository
public interface ChuanyunUserDao extends GalaxisRepository<ChuanyunUserDO,String> {
    /**
     * 根据名字获取人员对象
     * @param name  名字
     * @return  对象
     */
    ChuanyunUserDO findByName(String name);
}
