package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/6/6 10:03 上午
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_SPECIAL_PROCEDURE")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunSpecialProcedureDO extends BasicSubDO{

    public static final String SCHEMA_CODE="D001789Fb1f097907edc4fab84b5b18368a6d7dd";
    /**
     * 集团项目Id
     */
    @JsonProperty("F0000010")
    private String projectId;
    /**
     * 分配比例
     */
    @JsonProperty("F0000013")
    private BigDecimal rate;
    /**
     * 成本中心
     */
    @JsonProperty("F0000023")
    private String costCenterId;

    /**
     * 成本中心编码
     */
    @JsonProperty("F0000024")
    private String centerCode;

    /**
     * 成本中心名称
     */
    @JsonProperty("F0000025")
    private String centerName;


    /**
     * 项目号
     */
    @JsonProperty("F0000011")
    private String projectCode;

    /**
     * 项目类别
     */
    @JsonProperty("F0000026")
    private String projectType;

    /**
     * 项目名称
     */
    @JsonProperty("F0000012")
    private String projectName;
}
