package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/27 5:10 下午
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_SUPPLIER")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunSupplierDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789b57c520f4a4b4c5bb26b4d059e2a962d";

    /**
     * 供应商名称
     */
    @JsonProperty("F0000001")
    private String supplierName;

    /**
     * U9代码
     */
    @JsonProperty("F0000002")
    private String supplierCode;

}
