package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.galaxis.capsule.bo.ChuanyunObject;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import javax.persistence.Transient;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunUpdateDeptDO extends BasicDO{

    /**
     * 拥有者
     */
    @JsonProperty("OwnerId")
    private String ownerId;

    /**
     * 拥有者对象
     */
    @Transient
    @JsonProperty("OwnerIdObject")
    private ChuanyunObject ownerIdObject;
}
