package com.galaxis.manatee.entity.chuanyun.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/2/5 6:08 下午
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BaseChuanyunDTO {
    /**
     * 是否获取成功
     */
    @JsonProperty("Successful")
    protected Boolean successful;
    /**
     * 错误信息
     */
    @JsonProperty("ErrorMessage")
    protected String errorMessage;
    /**
     * 默认为0
     */
    @JsonProperty("DataType")
    protected Integer dataType;
}
