package com.galaxis.manatee.entity.ding;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/1/9 11:39 上午
 */
@Data
public class DingTalkResponse {

    /**
     * 错误消息
     */
    @JsonProperty(value = "errmsg")
    protected String errorMessage;

    /**
     * 错误码
     */
    @JsonProperty(value = "errcode")
    protected String errorCode;

    public DingTalkResponse() {
    }
}
