package com.galaxis.manatee.manager;

import com.galaxis.manatee.entity.ding.DingTalkRobot;
import com.galaxis.manatee.entity.ding.DingTalkRobotRequest;
import com.galaxis.manatee.entity.ding.DingTalkRobotResponse;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/1/9 8:54 上午
 */
public interface DingTalkRobotWebHook {

    /**
     * 调用机器人
     *
     * @param dingTalkRobotRequest 请求体
     * @param dingTalkRobot        需要调用的机器人
     * @return 请求结果
     * @throws Exception 接口调用异常
     */
    DingTalkRobotResponse invoke(DingTalkRobotRequest dingTalkRobotRequest, DingTalkRobot dingTalkRobot) throws Exception;
}
