package com.galaxis.manatee.dao;

import com.galaxis.capsule.util.GalaxisRepository;
import com.galaxis.manatee.entity.chuanyun.data.object.ChuanyunUserCompanyDO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/28 11:38 上午
 */
@Repository
public interface ChuanyunUserCompanyDao extends GalaxisRepository<ChuanyunUserCompanyDO,String> {

    /**
     * 根据用户Id获取人员公司对象
     * @param userId    人员Id
     * @return  返回值
     */
    List<ChuanyunUserCompanyDO> findAllByUserId(String userId);

    ChuanyunUserCompanyDO findByUserId(String userId);
}
