package com.galaxis.manatee.entity.chuanyun.data.object;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.galaxis.manatee.entity.chuanyun.data.object.BasicDO;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_PURCOST")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunPurCostDO extends BasicDO {

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789bdc0b713e29b4fb0afd543bc4da68154";


    @JsonProperty("F0000001")
    private String projectcode;

    /**
     * 采购成本
     */
    @JsonProperty("F0000002")
    private BigDecimal purcost;

    /**
     * 领料成本
     */
    @JsonProperty("F0000003")
    private BigDecimal issuedcost;

}
