package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_REIMBURSEMENT_ITEMS")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunReimbursementItemsDO extends BasicDO{
    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D0017897914a5b9d64c4db087e4f5748bfcd02c";

    /**
     * 姓名
     */
    @JsonProperty("F0000002")
    private String employName;

    /**
     * 工号
     */
    @JsonProperty("F0000003")
    private String employCode;

    /**
     * 是否替换报销
     */
    @JsonProperty("F0000005")
    private String isReplace;

    /**
     * 调整项目号
     */
    @JsonProperty("F0000006")
    private String adjustProjectCode;

    /**
     * 调整项目名称
     */
    @JsonProperty("F0000007")
    private String adjustProjectName;

    /**
     * 调整项目类型
     */
    @JsonProperty("F0000008")
    private String adjustProjectType;

    /**
     * 调整项目ID
     */
    @JsonProperty("F0000004")
    private String adjustProjectId;
}
