package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/28 4:25 下午
 */
@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_REIMBURSEMENT_SUBJECT")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunReimbursementSubjectDO extends BasicDO{

    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D00178999f73a80a66d4e4a9e4af526831fc1bb";

    /**
     * 报销科目名称
     */
    @JsonProperty("F0000001")
    private String subjectName;

    /**
     * 报销科目U9编码
     */
    @JsonProperty("F0000005")
    private String subjectCode;
}
