package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;

/**
 * @author zcj
 * @version 0.1
 * @date 2020/4/12 9:18 上午
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_USER")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunUserDO extends BasicDO{

    /**
     * appCode
     */
    public static final String APP_CODE="D001789dev";

    /**
     * actionName
     */
    public static final String ACTION_NAME="findUserList";

    /**
     * controller
     */
    public static final String CONTROLLER="UserListController";

    /**
     * 职位
     */
    @JsonProperty(value = "Title")
    private String title;


    /**
     * 工号
     */
    @JsonProperty(value = "EmployeeNumber")
    private String employeeNumber;
}
